StudentWritingCParserInternal::State Struct Reference documentation

StudentWritingCParserInternal::State Struct Reference

Internal: the state of a StudentWritingCParser. More...

## Public Member Functions
| State ()
| constructor
bool | getColor (int id, MWAWColor &color) const
| try to return a color corresponding to a color id
bool | checkIfZone (int id, int type) const
| small function to know if a zone with given type exists

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
bool | m_isUncompressed
| a flag to know if we have uncompress the data
ZoneEntry | m_ids [2]
| the main zone id and the font id
std::vector< std::shared_ptr< Zone > > | m_zones
| the list of zone
std::map< int, std::shared_ptr< Zone > > | m_idToZoneMap
| a map id to zone data
std::map< int, std::string > | m_idToFontNameMap
| a map id to font name
std::set< int > | m_idToFontNameUsed
| a set to store the font name used
std::set< int > | m_sendZoneSet
| a set to keep the list of send zone (to avoid loop)
std::stack< MWAWBox2f > | m_sendBoxesStack
| a stack of send bounding box (use to send background picture)

## Detailed Description

Internal: the state of a StudentWritingCParser.

## Constructor & Destructor Documentation

## ◆ State()

StudentWritingCParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ checkIfZone()

bool StudentWritingCParserInternal::State::checkIfZone | ( | int | id,
|  | int | type ) const
| inline

small function to know if a zone with given type exists

## ◆ getColor()

bool StudentWritingCParserInternal::State::getColor | ( | int | id,
|  | MWAWColor & | color ) const
| inline

try to return a color corresponding to a color id

## Member Data Documentation

## ◆ m_actPage

int StudentWritingCParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_ids

ZoneEntry StudentWritingCParserInternal::State::m_ids[2]

the main zone id and the font id

## ◆ m_idToFontNameMap

std::map<int, std::string> StudentWritingCParserInternal::State::m_idToFontNameMap

a map id to font name

Referenced by State().

## ◆ m_idToFontNameUsed

std::set<int> StudentWritingCParserInternal::State::m_idToFontNameUsed

a set to store the font name used

Referenced by State().

## ◆ m_idToZoneMap

std::map<int, std::shared_ptr<Zone> > StudentWritingCParserInternal::State::m_idToZoneMap

a map id to zone data

Referenced by checkIfZone(), and State().

## ◆ m_isUncompressed

bool StudentWritingCParserInternal::State::m_isUncompressed

a flag to know if we have uncompress the data

Referenced by State().

## ◆ m_numPages

int StudentWritingCParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_sendBoxesStack

std::stack<MWAWBox2f> StudentWritingCParserInternal::State::m_sendBoxesStack

a stack of send bounding box (use to send background picture)

Referenced by State().

## ◆ m_sendZoneSet

std::set<int> StudentWritingCParserInternal::State::m_sendZoneSet

a set to keep the list of send zone (to avoid loop)

Referenced by State().

## ◆ m_zones

std::vector<std::shared_ptr<Zone> > StudentWritingCParserInternal::State::m_zones

the list of zone

Referenced by State().

The documentation for this struct was generated from the following file:

- StudentWritingCParser.cxx